Resource.AuthenticationType (Common Annotations 1.3 API Documentation - Apache Tomcat 9.0.119)
Description: declaration: package: javax.annotation, annotation type: Resource, enum: AuthenticationType

# Enum Resource.AuthenticationType

java.lang.Object
java.lang.Enum<Resource.AuthenticationType>
javax.annotation.Resource.AuthenticationType

All Implemented Interfaces:
  `Serializable, Comparable<Resource.AuthenticationType>, java.lang.constant.Constable`

Enclosing class:
  `Resource`

public static enum Resource.AuthenticationType extends Enum<Resource.AuthenticationType>
The AuthenticationType, either CONTAINER or APPLICATION

Since:
  Common Annotations 1.0

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `APPLICATION`
  Application authentication
  `CONTAINER`
  Container authentication

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Resource.AuthenticationType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Resource.AuthenticationType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CONTAINER

    public static final Resource.AuthenticationType CONTAINER
    Container authentication

  - ### APPLICATION

    public static final Resource.AuthenticationType APPLICATION
    Application authentication

- ## Method Details

  - ### values

    public static Resource.AuthenticationType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Resource.AuthenticationType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null